using System.Collections.Generic;
using Fantasy.Helper;

namespace NBF
{
    public static class AuthenticationSelectComponentSystem
    {
        private static readonly List<string> AuthenticationList = new List<string>()
        {
            "127.0.0.1:20001", "127.0.0.1:20002", "127.0.0.1:20003"
        };
        
        public static string Select(this AuthenticationSelectComponent self, string userName)
        {
            var userNameHashCode = HashCodeHelper.MurmurHash3(userName);
            var authenticationListIndex = userNameHashCode % AuthenticationList.Count;
            // 按照现在的情况下，这个模出的值只会是0 - 3
            return AuthenticationList[(int)authenticationListIndex];
        }
    }
}